# Installation

Add `flutter_wistory` as a dependency in your pubspec.yaml file.

It work only with iOS now. `WistoryView` will show nothing for android. Work in progress.

## iOS

Add to your `Podfile`

```
source 'https://github.com/Wistory/Specs.git'
source 'https://github.com/CocoaPods/Specs.git'

pod 'Wistory', '~> 0.4.1'
```

run `pod install --repo-update`

## Android - Work in progress

Add company token in `AndroidManifest.xml`

```
<application ...
  <meta-data
    android:name="WISTORY_TOKEN"
    android:value="YOUR COMPANY TOKEN" />
</application>
```

Change your `MainActivity.kt`
```
import io.flutter.embedding.android.FlutterFragmentActivity

class MainActivity: FlutterFragmentActivity() {
}
```

# Usage

Import dependency

```
import 'package:flutter_wistory/wistory.dart';
import 'package:flutter_wistory/wistory_view.dart';
```

Call `Wistory.initialize` before widget will show. For example in function `initState`

```
Wistory.initialize(
  companyToken:"your company token"
);
```

Add `WistoryView()` as child in your `build` method.
For example:
```
@override
Widget build(BuildContext context) {
  return MaterialApp(
    home: Scaffold(
      appBar: AppBar(
        title: const Text('Wistory example'),
      ),
      body: Center(
        child: WistoryView(), // <---
      ),
    ),
  );
}
```

# Licence
Shield: [![CC BY 4.0][cc-by-shield]][cc-by]

This work is licensed under a
[Creative Commons Attribution 4.0 International License][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: http://creativecommons.org/licenses/by/4.0/
[cc-by-image]: https://i.creativecommons.org/l/by/4.0/88x31.png
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg
