import Flutter
import UIKit
import Wistory

public class SwiftFlutterWistoryPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
    let nativeViewFactory = FlutterWistoryViewFactory()
    registrar.register(nativeViewFactory, withId: "wistoryView")
    let channel = FlutterMethodChannel(name: "wistory", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterWistoryPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        if (call.method == "init") {
            let arguments = call.arguments as? NSDictionary
            let companyToken = arguments?.value(forKey: "companyToken") as? String
            let favoriteText = arguments?.value(forKey: "favoriteText") as? String
            FlutterWistoryViewConfig.shared.companyToken = companyToken ?? ""
            if (favoriteText != nil) {
                FlutterWistoryViewConfig.shared.favoriteText = favoriteText ?? ""
            }
            result("ok")
        }
     }

}
