import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_wistory/wistory.dart';

class WistoryView extends StatefulWidget {
  const WistoryView({Key key}) : super(key: key);

  @override
  WistoryViewState createState() => WistoryViewState();
}

class WistoryViewState extends State<WistoryView> {
  static String viewType = 'wistoryView';

  bool initialized = false;

  @override
  void initState() {
    super.initState();
    Wistory.onInitializeSdk(onInitialize);
  }

  onInitialize() {
    setState(() {
      initialized = true;
    });
  }

  @override
  deactivate() {
    super.deactivate();
    Wistory.removeListener(onInitialize);
  }

  Widget getWistoryView() {
    if (Platform.isIOS) {
      return UiKitView(
        viewType: WistoryViewState.viewType,
        creationParamsCodec: const StandardMessageCodec(),
      );
    } else {
      return AndroidView(
        viewType: WistoryViewState.viewType,
        creationParamsCodec: const StandardMessageCodec(),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    if (initialized) {
      return (Container(
        child: getWistoryView(),
        height: 298,
      ));
    }
    return Container();
  }
}
